> ## Documentation Index
> Fetch the complete documentation index at: https://developer.instantly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get AI Deliverability Agent state

> Get the live state of an AI Deliverability Agent: current activity, schedule, latest run summary, and the activity feed.


Requires one of the following scopes: `ai_agents:read`, `ai_agents:all`, `all:read`, `all:all`



## OpenAPI

````yaml https://api.instantly.ai/openapi/api_v2.json get /api/v2/ai-agents/deliverability/{id}/state
openapi: 3.1.0
info:
  title: API Explorer
  description: >-
    The entire API V2 documentation is interactive and can be tested here. To
    the right side of every endpoint you will see a box with an example request.
    You can click on the "Try it" button to send a request to the server right
    from the docs. You will need to provide an API key by clicking the
    `ApiKeyAuth_token` blue text.
  version: 2.0.0
servers:
  - url: https://api.instantly.ai
    description: Instantly API Server
security:
  - ApiKeyAuth: []
tags:
  - name: Analytics
    description: Endpoints related to analytics
    x-group: Analytics
  - name: OAuth
    description: >-
      OAuth authentication endpoints for connecting Google and Microsoft email
      accounts
    x-group: OAuth
  - name: Account
    description: An email account that can be used to send campaigns
    x-group: Account
  - name: Campaign
    description: A campaign that can be sent to a list of recipients
    x-group: Campaign
  - name: Email
    description: >-
      A campaign email, a reply, a manually sent email, or any other email
      that's visible in the Unibox
    x-group: Email
  - name: EmailVerification
    description: A single email verification
    x-group: Email Verification
  - name: LeadList
    description: A list used to store leads
    x-group: Lead List
  - name: InboxPlacementTest
    description: An inbox placement test
    x-group: Inbox Placement Test
  - name: InboxPlacementAnalytics
    description: Analytics data for individual emails in inbox placement tests
    x-group: Inbox Placement Analytics
  - name: InboxPlacementBlacklistAndSpamAssassinReport
    description: Report data for an inbox placement test
    x-group: Inbox Placement Blacklist And SpamAssassin Report
  - name: AIAgent
    description: An AI agent
    x-group: AI Agent
  - name: AIInboxManager
    description: An AI Inbox Manager agent
    x-group: AI Inbox Manager
  - name: AIDeliverabilityAgent
    description: An AI Deliverability Agent
    x-group: AI Deliverability Agent
  - name: AILeadFinderAgent
    description: An AI Lead Finder Agent
    x-group: AI Lead Finder Agent
  - name: APIKey
    description: API Key
    x-group: API Key
  - name: AccountCampaignMapping
    description: Account Campaign Mapping
    x-group: Account Campaign Mapping
  - name: Lead
    description: A lead entity representing an individual lead
    x-group: Lead
  - name: BackgroundJob
    description: A background job that can be used to perform long-running tasks
    x-group: Background Job
  - name: CustomTag
    description: >-
      A custom tag for organizing and categorizing accounts and campaigns. You
      can use them as filters in apis that list accounts and campaigns.
    x-group: Custom Tag
  - name: CustomTagMapping
    description: >-
      This entity represents a tag being assigned to a specific campaign or
      email account. When an email account is assigned a tag, a new custom tag
      mapping entry is created, which connects the tag (`tag_id` field) with the
      email account (`resource_id` field). You can use it to see which tag si
      connected to which resource.
    x-group: Custom Tag Mapping
  - name: BlockListEntry
    description: A blocked email or domain
    x-group: Block List Entry
  - name: LeadLabel
    description: A custom label for categorizing and managing leads
    x-group: Lead Label
  - name: Workspace
    description: A workspace entity representing a workspace
    x-group: Workspace
  - name: SuperSearchEnrichment
    description: >-
      An enrichment can take different forms, such as email enrichment or
      LinkedIn enrichment. Leads may be imported from SuperSearch using the
      dedicated endpoint, or enriched directly within a list or campaign by
      attaching an enrichment to it.
    x-group: SuperSearch Enrichment
  - name: WorkspaceGroupMember
    description: >-
      A member of a workspace group. You can use the endpoints within this
      entity to manage the members of a workspace group.
    x-group: Workspace Group Member
  - name: WorkspaceMember
    description: A member of a workspace with associated user details
    x-group: Workspace Member
  - name: CampaignSubsequence
    description: A subsequence entity representing a follow-up sequence
    x-group: Campaign Subsequence
  - name: AuditLog
    description: Audit log records for tracking system activities
    x-group: Audit Log
  - name: AISalesAgent
    description: >-
      An AI Sales Development Representative that autonomously manages outreach
      campaigns
    x-group: AI Sales Agent
  - name: AISalesAgentActivity
    description: An activity performed by an AI Sales Agent
    x-group: AI Sales Agent
  - name: Webhook
    description: A webhook subscription for receiving event notifications
    x-group: Webhook
  - name: WebhookEvent
    description: A webhook event that was sent or attempted to be sent
    x-group: Webhook Event
  - name: DFYEmailAccountOrder
    description: A Done-For-You email account order
    x-group: DFY Email Account Order
  - name: DomainForwarding
    description: Web forwarding configuration for a domain ordered through Instantly
    x-group: Domain Forwarding
  - name: CustomPromptTemplate
    description: Custom prompt templates for creating custom prompts
    x-group: Custom Prompt Template
  - name: SalesFlow
    description: >-
      Manages how sales users view and interact with campaign and lead lists
      within the sales flow.
    x-group: Sales Flow
  - name: EmailTemplate
    description: A campaign email template
    x-group: Email Template
  - name: WorkspaceBilling
    description: Workspace Billing
    x-group: Workspace Billing
  - name: CRMActions
    description: CRM related actions
    x-group: CRM Actions
paths:
  /api/v2/ai-agents/deliverability/{id}/state:
    get:
      tags:
        - AIDeliverabilityAgent
      summary: Get AI Deliverability Agent state
      description: >-
        Get the live state of an AI Deliverability Agent: current activity,
        schedule, latest run summary, and the activity feed.



        Requires one of the following scopes: `ai_agents:read`, `ai_agents:all`,
        `all:read`, `all:all`
      operationId: getDeliverabilityAgentStateById
      parameters:
        - schema:
            type: integer
            minimum: 1
            maximum: 100
            example: 10
          example: 10
          in: query
          name: limit
          required: false
          description: The number of items to return
        - schema:
            type: string
            example: 01956fbd-0eb1-72db-a565-82977a586084
          example: 01956fbd-0eb1-72db-a565-82977a586084
          in: query
          name: starting_after
          required: false
          description: >-
            The ID of the last item in the previous page - used for pagination.
            You can use the value of the `next_starting_after` field from the
            previous response.
        - schema:
            type: string
            enum:
              - all
              - todo
              - done
            example: all
          example: all
          in: query
          name: feed_filter
          required: false
          description: Filter for the activity feed items.
        - schema:
            type: string
            format: uuid
            example: 01a0206f-e3c8-7c89-bb8e-26ad638ed6a3
          example: 01a0206f-e3c8-7c89-bb8e-26ad638ed6a3
          in: path
          name: id
          required: true
          description: >-
            AI Deliverability Agent ID. Call `GET
            /api/v2/ai-agents/deliverability` and use the returned `agent.id`
            value to retrieve the workspace default agent ID.
      responses:
        '200':
          description: The live state of the agent
          content:
            application/json:
              schema:
                type: object
                properties:
                  current_activity:
                    type: object
                    properties:
                      active:
                        anyOf:
                          - allOf:
                              - type: object
                                properties:
                                  id:
                                    type: string
                                    format: uuid
                                    examples:
                                      - 01a0206f-e3c8-7c89-bb8e-26ad638ed6a3
                                    example: 01a0206f-e3c8-7c89-bb8e-26ad638ed6a3
                                  organization_id:
                                    type: string
                                    format: uuid
                                    examples:
                                      - 01a0206f-e3c8-7c89-bb8e-26ad638ed6a3
                                    example: 01a0206f-e3c8-7c89-bb8e-26ad638ed6a3
                                  agent_id:
                                    type: string
                                    format: uuid
                                    examples:
                                      - 01a0206f-e3c8-7c89-bb8e-26ad638ed6a3
                                    example: 01a0206f-e3c8-7c89-bb8e-26ad638ed6a3
                                  cycle_id:
                                    anyOf:
                                      - type: string
                                        examples:
                                          - campaign
                                        example: campaign
                                      - type: 'null'
                                        examples:
                                          - null
                                        example: null
                                  activity_code:
                                    type: string
                                    examples:
                                      - check_workspace_settings
                                    example: check_workspace_settings
                                  status:
                                    type: string
                                    enum:
                                      - queued
                                      - in_progress
                                      - completed
                                      - failed
                                      - skipped
                                      - cancelled
                                    examples:
                                      - queued
                                    example: queued
                                  priority:
                                    type: number
                                    examples:
                                      - 100
                                    example: 100
                                  subject_type:
                                    anyOf:
                                      - type: string
                                        examples:
                                          - campaign
                                        example: campaign
                                      - type: 'null'
                                        examples:
                                          - null
                                        example: null
                                  subject_id:
                                    anyOf:
                                      - type: string
                                        examples:
                                          - campaign
                                        example: campaign
                                      - type: 'null'
                                        examples:
                                          - null
                                        example: null
                                  subject_name:
                                    anyOf:
                                      - type: string
                                        examples:
                                          - campaign
                                        example: campaign
                                      - type: 'null'
                                        examples:
                                          - null
                                        example: null
                                  payload:
                                    type: object
                                    additionalProperties: true
                                  result_payload:
                                    anyOf:
                                      - type: object
                                        additionalProperties: true
                                      - type: 'null'
                                        examples:
                                          - null
                                        example: null
                                  error_code:
                                    anyOf:
                                      - type: string
                                        examples:
                                          - campaign
                                        example: campaign
                                      - type: 'null'
                                        examples:
                                          - null
                                        example: null
                                  error_message:
                                    anyOf:
                                      - type: string
                                        examples:
                                          - campaign
                                        example: campaign
                                      - type: 'null'
                                        examples:
                                          - null
                                        example: null
                                  idempotency_key:
                                    type: string
                                    examples:
                                      - >-
                                        cycle:01956fbd-0eb1-72db-a565-82977a586084:check_workspace_settings
                                    example: >-
                                      cycle:01956fbd-0eb1-72db-a565-82977a586084:check_workspace_settings
                                  timestamp_created:
                                    type: string
                                    format: date-time
                                    examples:
                                      - '2026-08-20T18:29:58.856Z'
                                    example: '2026-08-20T18:29:58.856Z'
                                  timestamp_updated:
                                    type: string
                                    format: date-time
                                    examples:
                                      - '2026-08-20T18:29:58.856Z'
                                    example: '2026-08-20T18:29:58.856Z'
                                  queued_at:
                                    anyOf:
                                      - type: string
                                        format: date-time
                                        examples:
                                          - '2026-08-20T18:29:58.856Z'
                                        example: '2026-08-20T18:29:58.856Z'
                                      - type: 'null'
                                        examples:
                                          - null
                                        example: null
                                  started_at:
                                    anyOf:
                                      - type: string
                                        format: date-time
                                        examples:
                                          - '2026-08-20T18:29:58.856Z'
                                        example: '2026-08-20T18:29:58.856Z'
                                      - type: 'null'
                                        examples:
                                          - null
                                        example: null
                                  completed_at:
                                    anyOf:
                                      - type: string
                                        format: date-time
                                        examples:
                                          - '2026-08-20T18:29:58.856Z'
                                        example: '2026-08-20T18:29:58.856Z'
                                      - type: 'null'
                                        examples:
                                          - null
                                        example: null
                                  expires_at:
                                    anyOf:
                                      - type: string
                                        format: date-time
                                        examples:
                                          - '2026-08-20T18:29:58.856Z'
                                        example: '2026-08-20T18:29:58.856Z'
                                      - type: 'null'
                                        examples:
                                          - null
                                        example: null
                                required:
                                  - id
                                  - organization_id
                                  - agent_id
                                  - activity_code
                                  - status
                                  - priority
                                  - payload
                                  - idempotency_key
                                  - timestamp_created
                                  - timestamp_updated
                              - type: object
                                properties:
                                  sub_messages:
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        id:
                                          type: string
                                          format: uuid
                                          examples:
                                            - 01a0206f-e3c8-7c89-bb8e-26ad638ed6a3
                                          example: 01a0206f-e3c8-7c89-bb8e-26ad638ed6a3
                                        organization_id:
                                          type: string
                                          format: uuid
                                          examples:
                                            - 01a0206f-e3c8-7c89-bb8e-26ad638ed6a3
                                          example: 01a0206f-e3c8-7c89-bb8e-26ad638ed6a3
                                        agent_id:
                                          type: string
                                          format: uuid
                                          examples:
                                            - 01a0206f-e3c8-7c89-bb8e-26ad638ed6a3
                                          example: 01a0206f-e3c8-7c89-bb8e-26ad638ed6a3
                                        activity_id:
                                          type: string
                                          format: uuid
                                          examples:
                                            - 01a0206f-e3c8-7c89-bb8e-26ad638ed6a3
                                          example: 01a0206f-e3c8-7c89-bb8e-26ad638ed6a3
                                        message_code:
                                          type: string
                                          examples:
                                            - checking_campaign
                                          example: checking_campaign
                                        status:
                                          type: string
                                          enum:
                                            - queued
                                            - in_progress
                                            - completed
                                            - failed
                                          examples:
                                            - in_progress
                                          example: in_progress
                                        sort_order:
                                          type: number
                                          examples:
                                            - 10
                                          example: 10
                                        subject_type:
                                          anyOf:
                                            - type: string
                                              examples:
                                                - campaign
                                              example: campaign
                                            - type: 'null'
                                              examples:
                                                - null
                                              example: null
                                        subject_id:
                                          anyOf:
                                            - type: string
                                              examples:
                                                - campaign
                                              example: campaign
                                            - type: 'null'
                                              examples:
                                                - null
                                              example: null
                                        subject_name:
                                          anyOf:
                                            - type: string
                                              examples:
                                                - campaign
                                              example: campaign
                                            - type: 'null'
                                              examples:
                                                - null
                                              example: null
                                        payload:
                                          type: object
                                          additionalProperties: true
                                        result_payload:
                                          anyOf:
                                            - type: object
                                              additionalProperties: true
                                            - type: 'null'
                                              examples:
                                                - null
                                              example: null
                                        error_code:
                                          anyOf:
                                            - type: string
                                              examples:
                                                - campaign
                                              example: campaign
                                            - type: 'null'
                                              examples:
                                                - null
                                              example: null
                                        error_message:
                                          anyOf:
                                            - type: string
                                              examples:
                                                - campaign
                                              example: campaign
                                            - type: 'null'
                                              examples:
                                                - null
                                              example: null
                                        idempotency_key:
                                          type: string
                                          examples:
                                            - >-
                                              campaign:01956fbd-0eb1-72db-a565-82977a586084:copy_scan
                                          example: >-
                                            campaign:01956fbd-0eb1-72db-a565-82977a586084:copy_scan
                                        timestamp_created:
                                          type: string
                                          format: date-time
                                          examples:
                                            - '2026-08-20T18:29:58.856Z'
                                          example: '2026-08-20T18:29:58.856Z'
                                        timestamp_updated:
                                          type: string
                                          format: date-time
                                          examples:
                                            - '2026-08-20T18:29:58.856Z'
                                          example: '2026-08-20T18:29:58.856Z'
                                        completed_at:
                                          anyOf:
                                            - type: string
                                              format: date-time
                                              examples:
                                                - '2026-08-20T18:29:58.856Z'
                                              example: '2026-08-20T18:29:58.856Z'
                                            - type: 'null'
                                              examples:
                                                - null
                                              example: null
                                      required:
                                        - id
                                        - organization_id
                                        - agent_id
                                        - activity_id
                                        - message_code
                                        - status
                                        - sort_order
                                        - payload
                                        - idempotency_key
                                        - timestamp_created
                                        - timestamp_updated
                                required:
                                  - sub_messages
                          - type: 'null'
                            examples:
                              - null
                            example: null
                      queued:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              format: uuid
                              examples:
                                - 01a0206f-e3c8-7c89-bb8e-26ad638ed6a3
                              example: 01a0206f-e3c8-7c89-bb8e-26ad638ed6a3
                            organization_id:
                              type: string
                              format: uuid
                              examples:
                                - 01a0206f-e3c8-7c89-bb8e-26ad638ed6a3
                              example: 01a0206f-e3c8-7c89-bb8e-26ad638ed6a3
                            agent_id:
                              type: string
                              format: uuid
                              examples:
                                - 01a0206f-e3c8-7c89-bb8e-26ad638ed6a3
                              example: 01a0206f-e3c8-7c89-bb8e-26ad638ed6a3
                            cycle_id:
                              anyOf:
                                - type: string
                                  examples:
                                    - campaign
                                  example: campaign
                                - type: 'null'
                                  examples:
                                    - null
                                  example: null
                            activity_code:
                              type: string
                              examples:
                                - check_workspace_settings
                              example: check_workspace_settings
                            status:
                              type: string
                              enum:
                                - queued
                                - in_progress
                                - completed
                                - failed
                                - skipped
                                - cancelled
                              examples:
                                - queued
                              example: queued
                            priority:
                              type: number
                              examples:
                                - 100
                              example: 100
                            subject_type:
                              anyOf:
                                - type: string
                                  examples:
                                    - campaign
                                  example: campaign
                                - type: 'null'
                                  examples:
                                    - null
                                  example: null
                            subject_id:
                              anyOf:
                                - type: string
                                  examples:
                                    - campaign
                                  example: campaign
                                - type: 'null'
                                  examples:
                                    - null
                                  example: null
                            subject_name:
                              anyOf:
                                - type: string
                                  examples:
                                    - campaign
                                  example: campaign
                                - type: 'null'
                                  examples:
                                    - null
                                  example: null
                            payload:
                              type: object
                              additionalProperties: true
                            result_payload:
                              anyOf:
                                - type: object
                                  additionalProperties: true
                                - type: 'null'
                                  examples:
                                    - null
                                  example: null
                            error_code:
                              anyOf:
                                - type: string
                                  examples:
                                    - campaign
                                  example: campaign
                                - type: 'null'
                                  examples:
                                    - null
                                  example: null
                            error_message:
                              anyOf:
                                - type: string
                                  examples:
                                    - campaign
                                  example: campaign
                                - type: 'null'
                                  examples:
                                    - null
                                  example: null
                            idempotency_key:
                              type: string
                              examples:
                                - >-
                                  cycle:01956fbd-0eb1-72db-a565-82977a586084:check_workspace_settings
                              example: >-
                                cycle:01956fbd-0eb1-72db-a565-82977a586084:check_workspace_settings
                            timestamp_created:
                              type: string
                              format: date-time
                              examples:
                                - '2026-08-20T18:29:58.856Z'
                              example: '2026-08-20T18:29:58.856Z'
                            timestamp_updated:
                              type: string
                              format: date-time
                              examples:
                                - '2026-08-20T18:29:58.856Z'
                              example: '2026-08-20T18:29:58.856Z'
                            queued_at:
                              anyOf:
                                - type: string
                                  format: date-time
                                  examples:
                                    - '2026-08-20T18:29:58.856Z'
                                  example: '2026-08-20T18:29:58.856Z'
                                - type: 'null'
                                  examples:
                                    - null
                                  example: null
                            started_at:
                              anyOf:
                                - type: string
                                  format: date-time
                                  examples:
                                    - '2026-08-20T18:29:58.856Z'
                                  example: '2026-08-20T18:29:58.856Z'
                                - type: 'null'
                                  examples:
                                    - null
                                  example: null
                            completed_at:
                              anyOf:
                                - type: string
                                  format: date-time
                                  examples:
                                    - '2026-08-20T18:29:58.856Z'
                                  example: '2026-08-20T18:29:58.856Z'
                                - type: 'null'
                                  examples:
                                    - null
                                  example: null
                            expires_at:
                              anyOf:
                                - type: string
                                  format: date-time
                                  examples:
                                    - '2026-08-20T18:29:58.856Z'
                                  example: '2026-08-20T18:29:58.856Z'
                                - type: 'null'
                                  examples:
                                    - null
                                  example: null
                          required:
                            - id
                            - organization_id
                            - agent_id
                            - activity_code
                            - status
                            - priority
                            - payload
                            - idempotency_key
                            - timestamp_created
                            - timestamp_updated
                      completed_summary:
                        type: object
                        properties:
                          count:
                            type: number
                            examples:
                              - 4
                            example: 4
                          retention_days:
                            type: number
                            examples:
                              - 30
                            example: 30
                          last_completed_at:
                            anyOf:
                              - type: string
                                format: date-time
                                examples:
                                  - '2026-08-20T18:29:58.856Z'
                                example: '2026-08-20T18:29:58.856Z'
                              - type: 'null'
                                examples:
                                  - null
                                example: null
                        required:
                          - count
                          - retention_days
                          - last_completed_at
                    required:
                      - active
                      - queued
                      - completed_summary
                  schedule:
                    type: object
                    properties:
                      next_run_at:
                        anyOf:
                          - type: string
                            format: date-time
                            examples:
                              - '2026-08-20T18:29:58.856Z'
                            example: '2026-08-20T18:29:58.856Z'
                          - type: 'null'
                            examples:
                              - null
                            example: null
                    required:
                      - next_run_at
                  run_summary:
                    type: object
                    properties:
                      latest:
                        type: object
                        properties:
                          cycle_id:
                            anyOf:
                              - type: string
                                examples:
                                  - campaign
                                example: campaign
                              - type: 'null'
                                examples:
                                  - null
                                example: null
                          status:
                            type: string
                            enum:
                              - running
                              - completed
                              - scheduled
                              - empty
                            examples:
                              - completed
                            example: completed
                          started_at:
                            anyOf:
                              - type: string
                                format: date-time
                                examples:
                                  - '2026-08-20T18:29:58.856Z'
                                example: '2026-08-20T18:29:58.856Z'
                              - type: 'null'
                                examples:
                                  - null
                                example: null
                          completed_at:
                            anyOf:
                              - type: string
                                format: date-time
                                examples:
                                  - '2026-08-20T18:29:58.856Z'
                                example: '2026-08-20T18:29:58.856Z'
                              - type: 'null'
                                examples:
                                  - null
                                example: null
                          total_checks:
                            type: number
                            examples:
                              - 8
                            example: 8
                          completed_checks:
                            type: number
                            examples:
                              - 8
                            example: 8
                          healthy_count:
                            type: number
                            examples:
                              - 6
                            example: 6
                          needs_attention_count:
                            type: number
                            examples:
                              - 2
                            example: 2
                          info_count:
                            type: number
                            examples:
                              - 0
                            example: 0
                          failed_count:
                            type: number
                            examples:
                              - 0
                            example: 0
                          checks:
                            type: array
                            items:
                              type: object
                              properties:
                                activity_id:
                                  type: string
                                  format: uuid
                                  examples:
                                    - 01a0206f-e3c8-7c89-bb8e-26ad638ed6a3
                                  example: 01a0206f-e3c8-7c89-bb8e-26ad638ed6a3
                                activity_code:
                                  type: string
                                  examples:
                                    - check_workspace_settings
                                  example: check_workspace_settings
                                status:
                                  type: string
                                  enum:
                                    - queued
                                    - in_progress
                                    - completed
                                    - failed
                                    - skipped
                                    - cancelled
                                  examples:
                                    - completed
                                  example: completed
                                outcome:
                                  type: string
                                  enum:
                                    - healthy
                                    - needs_attention
                                    - info
                                    - running
                                    - queued
                                    - failed
                                    - skipped
                                    - cancelled
                                    - unknown
                                  examples:
                                    - healthy
                                  example: healthy
                                completed_at:
                                  anyOf:
                                    - type: string
                                      format: date-time
                                      examples:
                                        - '2026-08-20T18:29:58.856Z'
                                      example: '2026-08-20T18:29:58.856Z'
                                    - type: 'null'
                                      examples:
                                        - null
                                      example: null
                              required:
                                - activity_id
                                - activity_code
                                - status
                                - outcome
                                - completed_at
                          feed_items:
                            type: array
                            items:
                              type: object
                              properties:
                                id:
                                  type: string
                                  format: uuid
                                  examples:
                                    - 01a0206f-e3c8-7c89-bb8e-26ad638ed6a3
                                  example: 01a0206f-e3c8-7c89-bb8e-26ad638ed6a3
                                organization_id:
                                  type: string
                                  format: uuid
                                  examples:
                                    - 01a0206f-e3c8-7c89-bb8e-26ad638ed6a3
                                  example: 01a0206f-e3c8-7c89-bb8e-26ad638ed6a3
                                agent_id:
                                  type: string
                                  format: uuid
                                  examples:
                                    - 01a0206f-e3c8-7c89-bb8e-26ad638ed6a3
                                  example: 01a0206f-e3c8-7c89-bb8e-26ad638ed6a3
                                source_activity_id:
                                  anyOf:
                                    - type: string
                                      examples:
                                        - campaign
                                      example: campaign
                                    - type: 'null'
                                      examples:
                                        - null
                                      example: null
                                feed_code:
                                  type: string
                                  examples:
                                    - workspace_settings_recommendation
                                  example: workspace_settings_recommendation
                                kind:
                                  type: string
                                  enum:
                                    - insight
                                    - recommendation
                                    - action
                                  examples:
                                    - recommendation
                                  example: recommendation
                                status:
                                  type: string
                                  enum:
                                    - todo
                                    - done
                                    - dismissed
                                    - failed
                                  examples:
                                    - todo
                                  example: todo
                                severity:
                                  type: string
                                  enum:
                                    - info
                                    - success
                                    - warning
                                    - critical
                                  examples:
                                    - warning
                                  example: warning
                                priority:
                                  type: number
                                  examples:
                                    - 100
                                  example: 100
                                subject_type:
                                  anyOf:
                                    - type: string
                                      examples:
                                        - campaign
                                      example: campaign
                                    - type: 'null'
                                      examples:
                                        - null
                                      example: null
                                subject_id:
                                  anyOf:
                                    - type: string
                                      examples:
                                        - campaign
                                      example: campaign
                                    - type: 'null'
                                      examples:
                                        - null
                                      example: null
                                subject_name:
                                  anyOf:
                                    - type: string
                                      examples:
                                        - campaign
                                      example: campaign
                                    - type: 'null'
                                      examples:
                                        - null
                                      example: null
                                payload:
                                  type: object
                                  additionalProperties: true
                                result_payload:
                                  anyOf:
                                    - type: object
                                      additionalProperties: true
                                    - type: 'null'
                                      examples:
                                        - null
                                      example: null
                                action_code:
                                  anyOf:
                                    - type: string
                                      examples:
                                        - campaign
                                      example: campaign
                                    - type: 'null'
                                      examples:
                                        - null
                                      example: null
                                action_status:
                                  anyOf:
                                    - type: string
                                      examples:
                                        - campaign
                                      example: campaign
                                    - type: 'null'
                                      examples:
                                        - null
                                      example: null
                                action_payload:
                                  anyOf:
                                    - type: object
                                      additionalProperties: true
                                    - type: 'null'
                                      examples:
                                        - null
                                      example: null
                                dedupe_key:
                                  type: string
                                  examples:
                                    - >-
                                      workspace_settings_recommendation:workspace:01956fbd-0eb1-72db-a565-82977a586084
                                  example: >-
                                    workspace_settings_recommendation:workspace:01956fbd-0eb1-72db-a565-82977a586084
                                timestamp_created:
                                  type: string
                                  format: date-time
                                  examples:
                                    - '2026-08-20T18:29:58.856Z'
                                  example: '2026-08-20T18:29:58.856Z'
                                timestamp_updated:
                                  type: string
                                  format: date-time
                                  examples:
                                    - '2026-08-20T18:29:58.856Z'
                                  example: '2026-08-20T18:29:58.856Z'
                                completed_at:
                                  anyOf:
                                    - type: string
                                      format: date-time
                                      examples:
                                        - '2026-08-20T18:29:58.856Z'
                                      example: '2026-08-20T18:29:58.856Z'
                                    - type: 'null'
                                      examples:
                                        - null
                                      example: null
                                dismissed_at:
                                  anyOf:
                                    - type: string
                                      format: date-time
                                      examples:
                                        - '2026-08-20T18:29:58.856Z'
                                      example: '2026-08-20T18:29:58.856Z'
                                    - type: 'null'
                                      examples:
                                        - null
                                      example: null
                                expires_at:
                                  anyOf:
                                    - type: string
                                      format: date-time
                                      examples:
                                        - '2026-08-20T18:29:58.856Z'
                                      example: '2026-08-20T18:29:58.856Z'
                                    - type: 'null'
                                      examples:
                                        - null
                                      example: null
                              required:
                                - id
                                - organization_id
                                - agent_id
                                - feed_code
                                - kind
                                - status
                                - severity
                                - priority
                                - payload
                                - dedupe_key
                                - timestamp_created
                                - timestamp_updated
                        required:
                          - cycle_id
                          - status
                          - started_at
                          - completed_at
                          - total_checks
                          - completed_checks
                          - healthy_count
                          - needs_attention_count
                          - info_count
                          - failed_count
                          - checks
                          - feed_items
                      trend:
                        type: array
                        items:
                          type: object
                          properties:
                            cycle_id:
                              type: string
                              examples:
                                - 01956fbd-0eb1-72db-a565-82977a586084
                              example: 01956fbd-0eb1-72db-a565-82977a586084
                            completed_at:
                              type: string
                              format: date-time
                              examples:
                                - '2026-08-20T18:29:58.856Z'
                              example: '2026-08-20T18:29:58.856Z'
                            score:
                              anyOf:
                                - type: number
                                  examples:
                                    - 86
                                  example: 86
                                - type: 'null'
                                  examples:
                                    - null
                                  example: null
                            total_checks:
                              type: number
                              examples:
                                - 8
                              example: 8
                            healthy_count:
                              type: number
                              examples:
                                - 6
                              example: 6
                            needs_attention_count:
                              type: number
                              examples:
                                - 2
                              example: 2
                            info_count:
                              type: number
                              examples:
                                - 0
                              example: 0
                            failed_count:
                              type: number
                              examples:
                                - 0
                              example: 0
                          required:
                            - cycle_id
                            - completed_at
                            - score
                            - total_checks
                            - healthy_count
                            - needs_attention_count
                            - info_count
                            - failed_count
                    required:
                      - latest
                      - trend
                  activity_feed:
                    type: object
                    properties:
                      items:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              format: uuid
                              examples:
                                - 01a0206f-e3c8-7c89-bb8e-26ad638ed6a3
                              example: 01a0206f-e3c8-7c89-bb8e-26ad638ed6a3
                            organization_id:
                              type: string
                              format: uuid
                              examples:
                                - 01a0206f-e3c8-7c89-bb8e-26ad638ed6a3
                              example: 01a0206f-e3c8-7c89-bb8e-26ad638ed6a3
                            agent_id:
                              type: string
                              format: uuid
                              examples:
                                - 01a0206f-e3c8-7c89-bb8e-26ad638ed6a3
                              example: 01a0206f-e3c8-7c89-bb8e-26ad638ed6a3
                            source_activity_id:
                              anyOf:
                                - type: string
                                  examples:
                                    - campaign
                                  example: campaign
                                - type: 'null'
                                  examples:
                                    - null
                                  example: null
                            feed_code:
                              type: string
                              examples:
                                - workspace_settings_recommendation
                              example: workspace_settings_recommendation
                            kind:
                              type: string
                              enum:
                                - insight
                                - recommendation
                                - action
                              examples:
                                - recommendation
                              example: recommendation
                            status:
                              type: string
                              enum:
                                - todo
                                - done
                                - dismissed
                                - failed
                              examples:
                                - todo
                              example: todo
                            severity:
                              type: string
                              enum:
                                - info
                                - success
                                - warning
                                - critical
                              examples:
                                - warning
                              example: warning
                            priority:
                              type: number
                              examples:
                                - 100
                              example: 100
                            subject_type:
                              anyOf:
                                - type: string
                                  examples:
                                    - campaign
                                  example: campaign
                                - type: 'null'
                                  examples:
                                    - null
                                  example: null
                            subject_id:
                              anyOf:
                                - type: string
                                  examples:
                                    - campaign
                                  example: campaign
                                - type: 'null'
                                  examples:
                                    - null
                                  example: null
                            subject_name:
                              anyOf:
                                - type: string
                                  examples:
                                    - campaign
                                  example: campaign
                                - type: 'null'
                                  examples:
                                    - null
                                  example: null
                            payload:
                              type: object
                              additionalProperties: true
                            result_payload:
                              anyOf:
                                - type: object
                                  additionalProperties: true
                                - type: 'null'
                                  examples:
                                    - null
                                  example: null
                            action_code:
                              anyOf:
                                - type: string
                                  examples:
                                    - campaign
                                  example: campaign
                                - type: 'null'
                                  examples:
                                    - null
                                  example: null
                            action_status:
                              anyOf:
                                - type: string
                                  examples:
                                    - campaign
                                  example: campaign
                                - type: 'null'
                                  examples:
                                    - null
                                  example: null
                            action_payload:
                              anyOf:
                                - type: object
                                  additionalProperties: true
                                - type: 'null'
                                  examples:
                                    - null
                                  example: null
                            dedupe_key:
                              type: string
                              examples:
                                - >-
                                  workspace_settings_recommendation:workspace:01956fbd-0eb1-72db-a565-82977a586084
                              example: >-
                                workspace_settings_recommendation:workspace:01956fbd-0eb1-72db-a565-82977a586084
                            timestamp_created:
                              type: string
                              format: date-time
                              examples:
                                - '2026-08-20T18:29:58.856Z'
                              example: '2026-08-20T18:29:58.856Z'
                            timestamp_updated:
                              type: string
                              format: date-time
                              examples:
                                - '2026-08-20T18:29:58.856Z'
                              example: '2026-08-20T18:29:58.856Z'
                            completed_at:
                              anyOf:
                                - type: string
                                  format: date-time
                                  examples:
                                    - '2026-08-20T18:29:58.856Z'
                                  example: '2026-08-20T18:29:58.856Z'
                                - type: 'null'
                                  examples:
                                    - null
                                  example: null
                            dismissed_at:
                              anyOf:
                                - type: string
                                  format: date-time
                                  examples:
                                    - '2026-08-20T18:29:58.856Z'
                                  example: '2026-08-20T18:29:58.856Z'
                                - type: 'null'
                                  examples:
                                    - null
                                  example: null
                            expires_at:
                              anyOf:
                                - type: string
                                  format: date-time
                                  examples:
                                    - '2026-08-20T18:29:58.856Z'
                                  example: '2026-08-20T18:29:58.856Z'
                                - type: 'null'
                                  examples:
                                    - null
                                  example: null
                          required:
                            - id
                            - organization_id
                            - agent_id
                            - feed_code
                            - kind
                            - status
                            - severity
                            - priority
                            - payload
                            - dedupe_key
                            - timestamp_created
                            - timestamp_updated
                      next_starting_after:
                        anyOf:
                          - type: string
                            examples:
                              - 01a0206f-e3c9-73f5-8665-e29040faa1dc
                            example: 01a0206f-e3c9-73f5-8665-e29040faa1dc
                          - type: 'null'
                            examples:
                              - null
                            example: null
                    required:
                      - items
                required:
                  - current_activity
                  - schedule
                  - run_summary
                  - activity_feed
        '401':
          description: >-
            This request is unauthorized (either the Authorization header is
            missing or invalid, or the API key has been revoked)
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 401
                    examples:
                      - 401
                    example: 401
                  error:
                    type: string
                    enum:
                      - Unauthorized
                    examples:
                      - Unauthorized
                    example: Unauthorized
                  message:
                    type: string
                    examples:
                      - Missing Authorization header
                    example: Missing Authorization header
                required:
                  - statusCode
                  - error
                  - message
        '402':
          description: >-
            This request cannot be fulfilled because the workspace does not have
            an active paid plan
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 402
                    examples:
                      - 402
                    example: 402
                  error:
                    type: string
                    enum:
                      - Payment Required
                    examples:
                      - Payment Required
                    example: Payment Required
                  message:
                    type: string
                    examples:
                      - Workspace does not have an active paid plan
                    example: Workspace does not have an active paid plan
                required:
                  - statusCode
                  - error
                  - message
        '404':
          description: The requested resource was not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 404
                    examples:
                      - 404
                    example: 404
                  error:
                    type: string
                    enum:
                      - Not Found
                    examples:
                      - Not Found
                    example: Not Found
                  message:
                    type: string
                    examples:
                      - Resource not found
                    example: Resource not found
                required:
                  - statusCode
                  - error
                  - message
        '429':
          description: >-
            You have exceeded the rate limit. Please check the rate limit docs
            for more information.
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 429
                    examples:
                      - 429
                    example: 429
                  error:
                    type: string
                    enum:
                      - Too Many Requests
                    examples:
                      - Too Many Requests
                    example: Too Many Requests
                  message:
                    type: string
                    examples:
                      - Rate limit exceeded
                    example: Rate limit exceeded
                required:
                  - statusCode
                  - error
                  - message
components:
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer

````